summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Molakvoæ (skjnldsv)2018-11-14 18:13:22 +0100
committerJohn Molakvoæ (skjnldsv)2018-11-14 18:18:45 +0100
commita26020dd46f23322dcb0814ed8a6595bac7b2a30 (patch)
tree9cd0d1c7012114d90d68af74890cb685f2446f55
downloadaur-a26020dd46f23322dcb0814ed8a6595bac7b2a30.tar.gz
Created gnome-pomodoro package based on master
Signed-off-by: John Molakvoæ (skjnldsv) <skjnldsv@protonmail.com>
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD45
-rw-r--r--gschemas.install14
3 files changed, 88 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..22c74ae30a2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,29 @@
+pkgbase = gnome-pomodoro-git
+ pkgdesc = A time management utility for GNOME based on the pomodoro technique
+ pkgver = r1005.94fb344
+ pkgrel = 1
+ url = https://github.com/codito/gnome-pomodoro/
+ install = gschemas.install
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = intltool
+ makedepends = vala
+ makedepends = gnome-common
+ makedepends = docbook2x
+ makedepends = perl-xml-sax-expat
+ makedepends = gom
+ depends = gnome-desktop
+ depends = libcanberra
+ depends = gstreamer
+ depends = gobject-introspection
+ depends = libpeas
+ depends = appstream-glib
+ provides = gnome-pomodoro
+ conflicts = gnome-pomodoro
+ conflicts = gnome-shell-pomodoro
+ source = gnome-pomodoro-git::git+https://github.com/codito/gnome-pomodoro.git#branch=master
+ sha256sums = SKIP
+
+pkgname = gnome-pomodoro-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ea2f2a03c59
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Skjnldsv <skjnldsv at protonmail com>
+
+pkgname=gnome-pomodoro-git
+pkgver=r1005.94fb344
+pkgrel=1
+_gitbranch='master'
+pkgdesc='A time management utility for GNOME based on the pomodoro technique'
+arch=('i686' 'x86_64')
+url='https://github.com/codito/gnome-pomodoro/'
+license=('GPL3')
+depends=('gnome-desktop' 'libcanberra' 'gstreamer' 'gobject-introspection' 'libpeas' 'appstream-glib')
+makedepends=('intltool' 'vala' 'gnome-common' 'docbook2x' 'perl-xml-sax-expat' 'gom')
+conflicts=('gnome-pomodoro' 'gnome-shell-pomodoro')
+provides=('gnome-pomodoro')
+source=("$pkgname"::"git+https://github.com/codito/gnome-pomodoro.git#branch=${_gitbranch}")
+sha256sums=('SKIP')
+install='gschemas.install'
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" \
+ "$(git rev-parse --short HEAD)"
+}
+
+prepare() {
+ cd "$srcdir/$pkgname"
+ # Fixes some build issues when 'docbook2x' package is installed
+ # Big thanks to user maus25 for the fix
+ #sed -i "s/docbook2man \$?/docbook2man --sgml \$?/g" man/Makefile.am
+
+ # https://github.com/codito/gnome-pomodoro/issues/332
+ sed -i "s/\[ \$datadir\/ = \/usr\/share\/\*/[ \"\$datadir\/\" = \"\/usr\/share\/\"/" configure.ac
+
+ ./autogen.sh --prefix=/usr --datadir=/usr/share
+}
+
+build() {
+ cd "$srcdir/$pkgname"
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ make DESTDIR="$pkgdir" install
+}
diff --git a/gschemas.install b/gschemas.install
new file mode 100644
index 00000000000..4dfa1fc1f41
--- /dev/null
+++ b/gschemas.install
@@ -0,0 +1,14 @@
+post_install() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+ gtk-update-icon-cache -f -t -q usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+ gtk-update-icon-cache -f -t -q usr/share/icons/hicolor
+}
+
+post_remove() {
+ glib-compile-schemas usr/share/glib-2.0/schemas/
+ gtk-update-icon-cache -f -t -q usr/share/icons/hicolor
+}